Loading...
Searching...
No Matches
gtsam::internal::VectorSpaceImpl< Class, Eigen::Dynamic > Struct Template Reference

## Detailed Description

template<class Class>
struct gtsam::internal::VectorSpaceImpl< Class, Eigen::Dynamic >

VectorSpaceTraits implementation for dynamic types.

## Manifold

typedef Eigen::VectorXd | TangentVector
typedef OptionalJacobian< Eigen::Dynamic, Eigen::Dynamic > | ChartJacobian
static int | GetDimension (const Class &m)
static Eigen::MatrixXd | Eye (const Class &m)
static TangentVector | Local (const Class &origin, const Class &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Class | Retract (const Class &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)

## Static Public Member Functions

Group
static Class | Compose (const Class &v1, const Class &v2)
static Class | Between (const Class &v1, const Class &v2)
static Class | Inverse (const Class &m)
Lie Group
static TangentVector | Logmap (const Class &m, ChartJacobian Hm=boost::none)
static Class | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static Class | Compose (const Class &v1, const Class &v2, ChartJacobian H1, ChartJacobian H2=boost::none)
static Class | Between (const Class &v1, const Class &v2, ChartJacobian H1, ChartJacobian H2=boost::none)
static Class | Inverse (const Class &v, ChartJacobian H)

## Public Types

Manifold
typedef Eigen::Matrix< double, N, N > | Jacobian

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/VectorSpace.h